> ## Documentation Index
> Fetch the complete documentation index at: https://developers.circle.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Release notes - Developer Services - 2025

> 2025 release notes for Circle's Developer Services platform

## December 2025

<Update label="2025.12.19">
  Deprecated the Bridge Kit `calculateFee` function and replaced it with a new
  `computeFee` function. When using `computeFee`, update your fee policy to expect
  the `amount` parameter in human units (e.g., `"10.50"`) instead of base units
  (e.g., `"10500000"`). `calculateFee` will continue to work until it's removed in
  a future release.

  ### Documentation updates

  Updated the following documentation to reflect the deprecation of the
  `calculateFee` function in favor of `computeFee`:

  * [Collect a Transfer Fee](https://docs.arc.io/app-kit/tutorials/bridge/collect-bridge-fee)
  * [Bridge Kit SDK Reference](https://docs.arc.io/app-kit/references/sdk-reference)
</Update>

<Update label="2025.12.08">
  Added support for HyperCore to CCTP.

  ### Documentation additions

  Created the following new topics to support HyperCore CCTP transfers:

  * [CCTP-enabled HyperCore transfers](/cctp/concepts/cctp-on-hypercore)
  * [HyperCore CCTP-enablement contract addresses](/cctp/references/hypercore-contract-addresses)
  * [Core Deposit Wallet Contract Interface](/cctp/references/coredepositwallet-contract-interface)
  * [Transfer USDC from Arbitrum to HyperCore](/cctp/howtos/transfer-usdc-from-arbitrum-to-hypercore)
  * [Transfer USDC from Ethereum to HyperCore](/cctp/howtos/transfer-usdc-from-ethereum-to-hypercore)
  * [Transfer USDC from Solana to HyperCore](/cctp/howtos/transfer-usdc-from-solana-to-hypercore)
  * [Transfer USDC from HyperEVM to HyperCore](/cctp/howtos/transfer-usdc-from-hyperevm-to-hypercore)
  * [Withdraw USDC from HyperCore to EVM chains](/cctp/howtos/withdraw-usdc-from-hypercore-to-evm)
  * [Withdraw USDC from HyperCore to HyperEVM](/cctp/howtos/withdraw-usdc-from-hypercore-to-hyperevm)
</Update>

## November 2025

<Update label="2025.11.25">
  Expanded Contracts support to include the Arc testnet.

  ### Documentation updates

  Updated the following documentation for Contracts to reflect Arc testnet
  support:

  * [Circle Contracts supported blockchains](/contracts/supported-blockchains)
</Update>

<Update label="2025.11.24">
  Expanded Wallets support to include the Monad blockchain.

  ### Documentation updates

  Updated the following documentation for Wallets to reflect Monad support:

  * [Account Types](/wallets/account-types)
  * [Blockchain Compatibility for Developer Services APIs](/wallets/supported-blockchains)
  * [Blockchain confirmations](/wallets/blockchain-confirmations)
  * [Blockchain infrastructure](/wallets/blockchain-infrastructure)
  * [Gas Fees](/wallets/gas-fees)
  * [Gas Station](/wallets/gas-station)
  * [Gas Station contract addresses](/wallets/gas-station/contract-addresses)
  * [Gas Station Policy Management](/wallets/gas-station/policy-management)
  * [Modular Wallets Quickstart](/wallets/modular/create-a-wallet-and-send-gasless-txn)
  * [Modular wallets Web SDK](/wallets/modular/web-sdk)
  * [Modular wallets iOS SDK](/wallets/modular/ios-sdk)
  * [Modular wallets Android SDK](/wallets/modular/android-sdk)
  * [Receive an Inbound Transfer: Dev-controlled](/wallets/dev-controlled/receive-an-inbound-transfer)
  * [Receive an Inbound Transfer: User-controlled](/wallets/user-controlled/receive-inbound-transfer)
  * [Send a gasless transaction](/wallets/gas-station/send-a-gasless-transaction)
  * [Supported blockchains](/wallets/supported-blockchains)

  ### API updates

  Added enum values `MONAD` and `MONAD-TESTNET` to the `blockchain` request field
  for the following APIs:

  * `POST /developer/wallets`
  * `POST /user/wallets`
  * `GET /wallets`
  * `GET /transactions`
  * `POST /transactions/contractExecution`
  * `POST /transactions/contractExecution/estimateFee`
  * `POST /transactions/transfer`
  * `POST /transactions/transfer/estimateFee`
  * `POST /transactions/validateAddress`
  * `GET /config/entity/monitoredTokens`
  * `POST /developer/sign/message`
  * `POST /user/sign/message`
  * `POST /developer/sign/typedData`
  * `POST /user/sign/typedData`
  * `GET /v1/w3s/developer/wallets/balances`
</Update>

<Update label="2025.11.17">
  Added Circle Wallets adapter to Bridge Kit.

  ### Documentation additions

  Created the following new topics to support the Circle Wallets adapter on Bridge
  Kit:

  * [Quickstart: Bridge USDC between Solana and EVM](https://docs.arc.io/app-kit/quickstarts/bridge-between-solana-and-evm)
  * [Supported Blockchains](https://docs.arc.io/app-kit/references/supported-blockchains)

  ### Documentation updates

  Updated the following documentation to reflect support for the Circle Wallets
  adapter on Bridge Kit:

  * [Bridge Kit Installation](https://docs.arc.io/app-kit/tutorials/installation)
  * [Adapter Setups](https://docs.arc.io/app-kit/tutorials/adapter-setups)
</Update>

## October 2025

<Update label="2025.10.27">
  * Expanded Gateway support to include Arc testnet.
  * Expanded Paymaster support to include Arc testnet.
  * Expanded Wallets support to include Arc testnet.

  ### Documentation updates

  Updated the following documentation to reflect Gateway support for Arc testnet:

  * [Gateway Smart Contract Addresses](/gateway/references/contract-addresses)
  * [Gateway supported blockchains](/gateway/references/supported-blockchains)

  Updated the following documentation to reflect Paymaster support for Arc
  testnet:

  * [Addresses and Events](/paymaster/addresses-and-events)

  Updated the following documentation for Wallets to reflect Arc testnet support:

  * [Account Types](/wallets/account-types)
  * [Blockchain Compatibility for Developer Services APIs](/wallets/supported-blockchains)
  * [Blockchain confirmations](/wallets/blockchain-confirmations)
  * [Blockchain infrastructure](/wallets/blockchain-infrastructure)
  * [Gas Fees](/wallets/gas-fees)
  * [Gas Station](/wallets/gas-station)
  * [Gas Station contract addresses](/wallets/gas-station/contract-addresses)
  * [Gas Station Policy Management](/wallets/gas-station/policy-management)
  * [Modular Wallets Quickstart](/wallets/modular/create-a-wallet-and-send-gasless-txn)
  * [Modular wallets Web SDK](/wallets/modular/web-sdk)
  * [Modular wallets iOS SDK](/wallets/modular/ios-sdk)
  * [Modular wallets Android SDK](/wallets/modular/android-sdk)
  * [Receive an Inbound Transfer: Dev-controlled](/wallets/dev-controlled/receive-an-inbound-transfer)
  * [Receive an Inbound Transfer: User-controlled](/wallets/user-controlled/receive-inbound-transfer)
  * [Send a gasless transaction](/wallets/gas-station/send-a-gasless-transaction)
  * [Supported blockchains](/wallets/supported-blockchains)

  ### API updates

  Added enum values `ARC-TESTNET` to the `blockchain` request field for the
  following APIs:

  * `POST /developer/wallets`
  * `POST /user/wallets`
  * `GET /wallets`
  * `GET /transactions`
  * `POST /transactions/contractExecution`
  * `POST /transactions/contractExecution/estimateFee`
  * `POST /transactions/transfer`
  * `POST /transactions/transfer/estimateFee`
  * `POST /transactions/validateAddress`
  * `GET /config/entity/monitoredTokens`
  * `POST /developer/sign/message`
  * `POST /user/sign/message`
  * `POST /developer/sign/typedData`
  * `POST /user/sign/typedData`
</Update>

<Update label="2025.10.14">
  Launched the Bridge Kit SDK.

  ### Documentation additions

  Created the following new topics to support Bridge Kit:

  * [Bridge Kit Overview](https://docs.arc.io/app-kit/bridge)
  * [Adapter Setups](https://docs.arc.io/app-kit/tutorials/adapter-setups)
  * [Quickstart: Bridge USDC Between EVM Chains](https://docs.arc.io/app-kit/quickstarts/bridge-between-evm-chains)
  * [Quickstart: Bridge USDC between Solana and EVM](https://docs.arc.io/app-kit/quickstarts/bridge-between-solana-and-evm)
  * [Bridge Kit Installation](https://docs.arc.io/app-kit/tutorials/installation)
  * [Collect a Transfer Fee](https://docs.arc.io/app-kit/tutorials/bridge/collect-bridge-fee)
  * [Configure Transfer Speed and Maximum Cost](https://docs.arc.io/app-kit/tutorials/bridge/configure-transfer-speed)
  * [Estimate Costs Before Transferring](https://docs.arc.io/app-kit/tutorials/bridge/estimate-costs)
  * [Specify Recipient Address](https://docs.arc.io/app-kit/tutorials/bridge/specify-recipient-address)
  * [Bridge Kit SDK Reference](https://docs.arc.io/app-kit/references/sdk-reference)
  * [Event Handling](https://docs.arc.io/app-kit/references/sdk-reference)
  * [Error Recovery and Troubleshooting](https://docs.arc.io/app-kit/references/bridge-error-recovery)
</Update>

<Update label="2025.10.08">
  Expanded Gateway support to include HyperEVM, Sei, Sonic, and World Chain.

  ### Documentation updates

  Updated the following documentation to reflect Gateway support for HyperEVM,
  Sei, Sonic, and World Chain:

  * [Gateway fees](/gateway/references/fees)
  * [Gateway Smart Contract Addresses](/gateway/references/contract-addresses)
  * [Gateway supported blockchains](/gateway/references/supported-blockchains)
</Update>

## August 2025

<Update label="2025.08.26">
  ### API updates

  Updated the following Gateway endpoints:

  * Added `expirationBlock` to the
    [`POST /v1/transfer`](/api-reference/gateway/all/create-transfer-attestation)
    response
  * Added `processedHeight` and `burnIntentExpirationHeight` to the
    [`GET /v1/info`](/api-reference/gateway/all/get-gateway-info) response
</Update>

<Update label="2025.08.07">
  ### API updates

  Replaced the transaction state `PENDING_RISK_SCREENING` with `CLEARED`
</Update>

<Update label="2025.08.04">
  ### API additions

  Added `networkFeeRaw` to the response of the following endpoints:

  * [`POST /transactions/contractExecution/estimateFee`](/api-reference/wallets/developer-controlled-wallets/create-transaction-estimate-fee)
  * [`POST /transactions/transfer/estimateFee`](/api-reference/wallets/developer-controlled-wallets/create-transfer-estimate-fee)
  * [`POST /contracts/deploy/estimateFee`](/api-reference/contracts/smart-contract-platform/estimate-contract-deploy)
</Update>

## July 2025

<Update label="2025.07.23">
  Expanded Developer Services support for Avalanche Mainnet and Avalanche Fuji
  Testnet to include smart contract accounts (SCAs), modular wallets, and Gas
  Station sponsorship.

  ### Documentation updates

  Updated the following documentation for Wallets to reflect Avalanche support:

  * [Account Types](/wallets/account-types)
  * [Blockchain Compatibility for Developer Services APIs](/wallets/supported-blockchains)
  * [Blockchain confirmations](/wallets/blockchain-confirmations)
  * [Blockchain infrastructure](/wallets/blockchain-infrastructure)
  * [Gas Fees](/wallets/gas-fees)
  * [Gas Station](/wallets/gas-station)
  * [Gas Station contract addresses](/wallets/gas-station/contract-addresses)
  * [Gas Station Policy Management](/wallets/gas-station/policy-management)
  * [Modular Wallets Quickstart](/wallets/modular/create-a-wallet-and-send-gasless-txn)
  * [Modular wallets Web SDK](/wallets/modular/web-sdk)
  * [Modular wallets iOS SDK](/wallets/modular/ios-sdk)
  * [Modular wallets Android SDK](/wallets/modular/android-sdk)
  * [Send a gasless transaction](/wallets/gas-station/send-a-gasless-transaction)
  * [Supported blockchains](/wallets/supported-blockchains)

  ### API updates

  Added enum values `AVAX`, `AVAX-FUJI` to the `blockchain` request field for the
  following Circle Contracts APIs:

  * `POST /contracts/deploy`
  * `POST /contracts/deploy/estimateFee`
  * `POST /contracts/import`
  * `POST /contracts/query`
  * `POST /templates/{id}/deploy`
  * `POST /templates/{id}/deploy/estimateFee`
</Update>

<Update label="2025.07.22">
  Launched Circle Gateway on testnet.

  ### Documentation additions

  Created the following new topics to support Circle Gateway:

  * [Gateway Overview](/gateway)
  * [Gateway technical guide](/gateway/concepts/technical-guide)
  * [Quickstart: Create and Transfer a Unified USDC Balance (EVM)](/gateway/quickstarts/unified-balance-evm)
  * [Quickstart: Create and Transfer a Unified USDC Balance (Solana)](/gateway/quickstarts/unified-balance-solana)
  * [Gateway supported blockchains](/gateway/references/supported-blockchains)
  * [Gateway Contract Addresses](/gateway/references/contract-addresses)
  * [Gateway Contract Interfaces and Events](/gateway/references/contract-interfaces-and-events)
  * [Gateway fees](/gateway/references/fees)

  ### API additions

  Added the following endpoints to support Circle Gateway:

  * [`POST /v1/balances`](/api-reference/gateway/all/get-token-balances)
  * [`GET /v1/info`](/api-reference/gateway/all/get-gateway-info)
  * [`POST /v1/transfer`](/api-reference/gateway/all/create-transfer-attestation)
</Update>

<Update label="2025.07.11">
  Added an optional `delayReason` field to CCTP transfer status responses to
  provide context for delayed transfers.

  ### API updates

  The `delayReason` field is now returned in the following CCTP Iris endpoints:

  * `GET /v2/messages` - Get messages and attestations
</Update>

<Update label="2025.07.08">
  Added support for the `order` request parameter (`ASC` or `DESC`) to enable
  sorting by `createDate` for improved client-side data handling.

  ### API updates

  The `order` parameter is now supported in the following endpoints:

  * `GET /v1/w3s/walletSets` - Get all wallet sets (developer-controlled)
  * `GET /v1/w3s/transactions` - List transactions (user/developer-controlled)
  * `GET /v1/w3s/wallets` - List wallets (user/developer-controlled)
  * `GET /v1/w3s/users` - List users (user-controlled)
</Update>

## June 2025

<Update label="2025.06.25">
  Launched Developer Services support for Aptos Mainnet and Testnet.

  ### Documentation updates

  Updated the following documentation for Wallets to reflect Aptos support:

  * [Account Types](/wallets/account-types)
  * [Blockchain infrastructure](/wallets/blockchain-infrastructure)
  * [Blockchain Compatibility for Developer Services APIs](/wallets/supported-blockchains)
  * [Blockchain confirmations](/wallets/blockchain-confirmations)
  * [Gas Fees](/wallets/gas-fees)
  * [Gas Station](/wallets/gas-station)
  * [Gas Station contract addresses](/wallets/gas-station/contract-addresses)
  * [Gas Station Policy Management](/wallets/gas-station/policy-management)
  * [Supported blockchains](/wallets/supported-blockchains)
  * [Receive an Inbound Transfer: Dev-controlled](/wallets/dev-controlled/receive-an-inbound-transfer)
  * [Receive an Inbound Transfer: Dev-controlled](/wallets/dev-controlled/receive-an-inbound-transfer)
  * [Receive an Inbound Transfer: User-controlled](/wallets/user-controlled/receive-inbound-transfer)
  * [Send a gasless transaction](/wallets/gas-station/send-a-gasless-transaction)

  ### API updates

  Added enum values `APTOS`, `APTOS-TESTNET` to the `blockchain` request field for
  the following APIs:

  * `POST /developer/wallets`
  * `POST /user/wallets`
  * `GET /wallets`
  * `GET /transactions`
  * `POST /transactions/transfer`
  * `POST /transactions/transfer/estimateFee`
  * `POST /transactions/validateAddress`
  * `POST /user/initialize`
</Update>

<Update label="2025.06.17">
  Added programmatic gas price optimization to modular wallets web SDK.

  ### Documentation updates

  Updated the following documentation to reflect programmatic gas price
  optimization support in modular wallets web SDK:

  * [Modular wallets Web SDK](/wallets/modular/web-sdk):
    * Added `GetUserOperationGasPriceReturnType` interface.
    * Added `GetUserOperationGasPriceRpcSchema` type.
    * Added `getUserOperationGasPrice` function.
</Update>

<Update label="2025.06.13">
  Removed Compliance Engine's **Travel Rule** from the developer documentation as
  it's been deprecated.
</Update>

## May 2025

<Update label="2025.05.15">
  Added support for Avalanche and Unichain to Paymaster v0.8.

  ### Documentation updates

  Updated the following documentation to reflect Avalanche and Unichain support in
  Paymaster v0.8:

  * [Paymaster Overview](/paymaster)
  * [Paymaster Addresses and Events](/paymaster/addresses-and-events)
</Update>

<Update label="2025.05.07">
  Added Paymaster v0.8 documentation.

  ### Documentation updates

  Updated the following pages to reflect support for EntryPoint v0.8 of the
  ERC-4337 contract in Paymaster:

  * [Paymaster Overview](/paymaster)
  * [Quickstart: Build a Wallet to Pay Gas Fees with USDC](/paymaster/pay-gas-fees-usdc)
  * [Paymaster Addresses and Events](/paymaster/addresses-and-events)
</Update>

## April 2025

<Update label="2025.04.17">
  Added passkey recovery support to modular wallets web SDK.

  ### Documentation additions

  Added the following documentation to support passkey recovery using the modular
  wallets web SDK:

  * [How-to: Set up passkey recovery](/wallets/modular/recover-passkey).

  ### Documentation updates

  Updated the following documentation to support passkey recovery in modular
  wallets:

  * [Modular wallets Web SDK](/wallets/modular/web-sdk):
    * Added `estimateExecuteRecoveryGas` function.
    * Added `estimateRegisterRecoveryAddressGas` function.
    * Added `executeRecovery` function.
    * Added `recoveryActions` function.
    * Added `registerRecoveryAddress` function.
  * [Modular Wallets Passkey](/wallets/modular/passkeys)
</Update>

<Update label="2025.04.11">
  ### Documentation updates

  Updated the following documentation to reflect the removed API and the new
  **[Derive a Wallet API](/api-reference/wallets/developer-controlled-wallets/derive-wallet)**
  endpoint:

  * [Programmable Wallet API Rate Limits](/wallets/api-rate-limits)

  ### API updates

  * Removed API for products that never officially launched. The following APIs
    were removed:
    * **Backfill a Wallet API**: `PUT /developer/wallets/:id/backfill`

  * Added content schema, description, and the X-Request-Id header to the **201**
    response for the following APIs:
    * [`POST /v1/w3s/user/initialize`](/api-reference/wallets/user-controlled-wallets/create-user-with-pin-challenge)
    * [`POST /v1/w3s/user/pin`](/api-reference/wallets/user-controlled-wallets/create-user-pin-challenge)
    * [`PUT /v1/w3s/user/pin`](/api-reference/wallets/user-controlled-wallets/update-user-pin-challenge)
    * [`POST /v1/w3s/user/pin/restore`](/api-reference/wallets/user-controlled-wallets/create-user-pin-restore-challenge)
    * [`POST /v1/w3s/user/wallets`](/api-reference/wallets/user-controlled-wallets/create-user-wallet)
    * [`POST /v1/w3s/user/transactions/{id}/accelerate`](/api-reference/wallets/user-controlled-wallets/create-user-transaction-accelerate-challenge)
    * [`POST /v1/w3s/user/transactions/{id}/cancel`](/api-reference/wallets/user-controlled-wallets/create-user-transaction-cancel-challenge)
    * [`POST /v1/w3s/user/transactions/walletUpgrade`](/api-reference/wallets/user-controlled-wallets/create-user-transaction-wallet-upgrade-challenge)

  ### API additions

  * Added the new
    **[Derive a Wallet API](/api-reference/wallets/developer-controlled-wallets/derive-wallet)**:
    `PUT /developer/wallets/:id/blockchains/:blockchain`
</Update>

<Update label="2025.04.08">
  * Launched Developer Services, including Circle Contracts, on Optimism (OP) and
    Base (BASE) blockchains.
  * Added modular wallets and Circle Contracts support on Unichain (UNI)
    blockchain.
  * Added a new tutorial in modular wallets to showcase how to add Externally
    Owned Account (EOA) signers for Circle Smart Accounts.

  ### Documentation additions

  Added the following documents:

  * [Dynamic integration tutorial](/wallets/modular/dynamic-integration)

  ### Documentation updates

  Added Optimism (OP) and Base (BASE) blockchains to tables of support:

  * [Account Types](/wallets/account-types)
  * [Blockchain Compatibility for Developer Services APIs](/wallets/supported-blockchains)
  * [Blockchain confirmations](/wallets/blockchain-confirmations)
  * [Gas Fees](/wallets/gas-fees)
  * [Gas Station](/wallets/gas-station)
  * [Gas Station contract addresses](/wallets/gas-station/contract-addresses)
  * [Gas Station Policy Management](/wallets/gas-station/policy-management)
  * [Modular wallets Android SDK](/wallets/modular/android-sdk)
  * [Modular wallets iOS SDK](/wallets/modular/ios-sdk)
  * [Modular Wallets Quickstart](/wallets/modular/create-a-wallet-and-send-gasless-txn)
  * [Receive an Inbound Transfer (User-Controlled Wallets)](/wallets/user-controlled/receive-inbound-transfer)
  * [Receive an Inbound Transfer (Developer-Controlled Wallets)](/wallets/dev-controlled/receive-an-inbound-transfer)
  * [Send a gasless transaction](/wallets/gas-station/send-a-gasless-transaction)
  * [Supported blockchains](/wallets/supported-blockchains)

  ### API additions

  * Added enum values `BASE`, `BASE-SEPOLIA`, `OP`, `OP-SEPOLIA` to the
    `blockchain` request field for the following APIs:
    * `POST /developer/wallets`
    * `POST /user/wallets`
    * `GET /wallets`
    * `GET /transactions`
    * `POST /transactions/contractExecution/estimateFee`
    * `POST /transactions/transfer`
    * `POST /transactions/transfer/estimateFee`
    * `POST /transactions/validateAddress`
    * `POST /user/initialize`
    * `GET /config/entity/monitoredTokens`
    * `GET /contracts`
    * `POST /contracts/deploy`
    * `POST /contracts/deploy/estimateFee`
    * `POST /contracts/import`
    * `POST /contracts/query`
    * `POST /templates/{id}/deploy`
    * `POST /templates/{id}/deploy/estimateFee`
    * `GET /contracts/monitors`
    * `POST /contracts/monitors`
    * `GET /contracts/events`

  * Added enum values `UNI` and `UNI-SEPOLIA` to the `blockchain` request field
    for the following APIs:
    * `GET /contracts`
    * `POST /contracts/deploy`
    * `POST /contracts/deploy/estimateFee`
    * `POST /contracts/import`
    * `POST /contracts/query`
    * `POST /templates/{id}/deploy`
    * `POST /templates/{id}/deploy/estimateFee`
    * `GET /contracts/monitors`
    * `POST /contracts/monitors`
    * `GET /contracts/events`
</Update>

## March 2025

<Update label="2025.03.27">
  The following Circle Product Lines have been renamed:

  | Previous Product Line name | New Product Line name |
  | -------------------------- | --------------------- |
  | Web3 Services              | Developer Services    |

  The following Circle Products have been renamed:

  | Previous Product name         | New Product name |
  | ----------------------------- | ---------------- |
  | Programmable Wallets          | Circle Wallets   |
  | Smart Contract Platform (SCP) | Circle Contracts |

  These name changes are part of a broader effort to simplify and align our
  product naming, creating a more unified developer experience across the Circle
  platform.
</Update>

<Update label="2025.03.24">
  ### Documentation updates

  Updated the following document to reflect the new **Backfill a wallet** API
  endpoint:

  * [Programmable Wallet API Rate Limits](/wallets/api-rate-limits)

  ### API additions

  Added new API endpoints:

  * [`GET /v1/w3s/developer/wallets/balances`](/api-reference/wallets/developer-controlled-wallets/get-wallets-with-balances)
  * `PUT /v1/w3s/developer/wallets/{id}/backfill`
</Update>

<Update label="2025.03.21">
  Removed USDC Access from the developer documentation as it's no longer available
  for new users.
</Update>

## February 2025

<Update label="2025.02.22">
  ### API updates

  * Updated description for the following APIs:
    * `POST /developer/sign/message`
    * `POST /developer/sign/typeData`
    * `POST /user/sign/message`
    * `POST /user/sign/typeData`

  ### API additions

  * Added example for `Address` and `ContractAddress`
</Update>

<Update label="2025.02.21">
  ### API updates

  * Updated `abiFunctionSignature` to be optional for the
    `POST /transactions/contractExecution/estimateFee` API.
</Update>

<Update label="2025.02.19">
  ### API additions

  * Added enum values `UNI` and `UNI-SEPOLIA` to the `chain` request field for the
    following API:
    * `POST /compliance/screening/addresses`
</Update>

<Update label="2025.02.12">
  Added EIP-1193 example for modular wallets

  ### Documentation additions

  Added a code example for EIP-1193:

  * [Key Features](/wallets/modular/key-features)
</Update>

<Update label="2025.02.11">
  Launched Web3 Services on Unichain mainnet

  ### Documentation updates

  Added Unichain mainnets to tables of support:

  * [Supported blockchains](/wallets/supported-blockchains)
  * [Blockchain Compatibility for Web3 Services APIs](/wallets/supported-blockchains)
  * [Blockchain confirmations](/wallets/blockchain-confirmations)
  * [Gas Fees](/wallets/gas-fees)
  * [Gas Station contract addresses](/wallets/gas-station/contract-addresses)
  * [Gas Station](/wallets/gas-station)
</Update>

## January 2025

<Update label="2025.01.30">
  Added information on batching user-ops with the Circle API.

  ### Documentation updates

  Updated information on batch operations:

  * [Account Types](/wallets/account-types)
  * [Batch operations](/wallets/batch-operations)
</Update>

<Update label="2025.01.29">
  ### API additions

  * Added enum value `UNI` to the `blockchain` request field for the following
    APIs:
    * `POST /developer/wallets`
    * `POST /user/wallets`
    * `GET /wallets`
    * `GET /transactions`
    * `POST /transactions/validateAddress`
    * `POST /user/initialize`
    * `GET /config/entity/monitoredTokens`
    * `POST /developer/transactions/transfer`
    * `POST /transactions/transfer/estimateFee`
    * `POST /user/transactions/transfer`
    * `POST /user/transactions/transfer/estimateFee`
</Update>

<Update label="2025.01.25">
  Launched user-controlled wallets signing on EVM chains.

  ### Documentation updates

  Added information for signing transactions with user-controlled wallets:

  * [Confirmation UIs](/sdks/user-controlled/confirmation-uis)
  * [Signing APIs](/wallets/signing-apis)
  * [Supported blockchains](/wallets/supported-blockchains)
</Update>

<Update label="2025.01.24">
  ### API updates

  * Updated the description of error code `155236`: The provided fee in request is
    invalid.
</Update>

<Update label="2025.01.17">
  Launched modular wallets.

  ### Documentation additions

  Added modular wallets content to the Wallets section of the Developer Services
  pillar:

  * [Modular Wallets Quickstart](/wallets/modular/create-a-wallet-and-send-gasless-txn)
  * [Modular Wallets SDKs](/sdks)
  * [Modular Wallets Sample App](/sample-projects)

  ### API additions

  Added modular wallets endpoints:

  * `GET buidl/transfers`
  * `GET buidl/userOps`
  * `GET buidl/wallets/balances`
  * `GET buidl/wallets/nfts`
</Update>

<Update label="2025.01.14">
  Launched Web3 Services on Unichain testnet.

  ### Documentation updates

  Added Unichain testnet to tables of support:

  * [Supported blockchains](/wallets/supported-blockchains)
  * [Blockchain Compatibility for Web3 Services APIs](/wallets/supported-blockchains)
  * [Blockchain confirmations](/wallets/blockchain-confirmations)
  * [Gas Fees](/wallets/gas-fees)
  * [Gas Station contract addresses](/wallets/gas-station/contract-addresses)
  * [Gas Station](/wallets/gas-station)
</Update>
